addnsparser.c File Reference
`#include "parser/addnsparser.h"`
`#include "log.h"`
`#include <libxml/xpath.h>`
`#include <libxml/xmlreader.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

acl_type * | parse_addns_request_xfr (const char *filename, tsig_type *tsig)
acl_type * | parse_addns_allow_notify (const char *filename, tsig_type *tsig)
acl_type * | parse_addns_provide_xfr (const char *filename, tsig_type *tsig)
acl_type * | parse_addns_do_notify (const char *filename, tsig_type *tsig)
tsig_type * | parse_addns_tsig (const char *filename)

## Function Documentation

## parse_addns_allow_notify()

acl_type * parse_addns_allow_notify | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

Parse <AllowNotify>.

Definition at line 340 of file addnsparser.c.

## parse_addns_do_notify()

acl_type * parse_addns_do_notify | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

Parse <Notify>.

Definition at line 366 of file addnsparser.c.

## parse_addns_provide_xfr()

acl_type * parse_addns_provide_xfr | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

Parse <ProvideTransfer>.

Definition at line 353 of file addnsparser.c.

## parse_addns_request_xfr()

acl_type * parse_addns_request_xfr | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

Parse <RequestTransfer>.

Definition at line 327 of file addnsparser.c.

## parse_addns_tsig()

tsig_type * parse_addns_tsig | ( | const char * | filename | ) |

Parse <TSIG>.

Definition at line 379 of file addnsparser.c.